summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2019-03-06 22:13:27 +0000
committerJames Le Cuirot <chewi@gentoo.org>2019-03-06 22:35:10 +0000
commit3e50c90f89b1b86be508b058ed3b9f1c9a84029e (patch)
tree769b725a204cce3bdb829a2165082b6928e94b83 /games-simulation
parentgames-simulation/lincity-ng: Install at least some documentation (diff)
downloadgentoo-3e50c90f89b1b86be508b058ed3b9f1c9a84029e.tar.gz
gentoo-3e50c90f89b1b86be508b058ed3b9f1c9a84029e.tar.bz2
gentoo-3e50c90f89b1b86be508b058ed3b9f1c9a84029e.zip
games-simulation/lincity-ng: Respect AR and RANLIB
Unlike CXX and friends, these are not passed from configure to jam. Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
Diffstat (limited to 'games-simulation')
-rw-r--r--games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild b/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild
index 264541ba5b1..c49cae5849f 100644
--- a/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild
+++ b/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit autotools libtool multiprocessing
+inherit autotools libtool multiprocessing toolchain-funcs
DESCRIPTION="City simulation game"
HOMEPAGE="https://github.com/lincity-ng/lincity-ng"
@@ -41,7 +41,11 @@ src_prepare() {
}
src_compile() {
- jam -q -dx -j $(makeopts_jobs) || die "jam failed"
+ jam -q -dx \
+ -j$(makeopts_jobs) \
+ -sAR="$(tc-getAR) ru" \
+ -sRANLIB="$(tc-getRANLIB)" \
+ || die "jam failed"
}
src_install() {